<!doctype html>
{% load static %}
{% get_static_prefix as STATIC_PREFIX %}
<!DOCTYPE html>
<html data-bs-theme='light'>
  <head>
  	<meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" href="{% static 'base/fd.png' %}">
      <title>Final VPN</title>
      <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">
  </head>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-OERcA2EqjJCMA+/3y+gxIOqMEjwtxJY7qPCqsdltbNJuaOe923+mo//f6V8Qbsw3" crossorigin="anonymous"></script>

  <style type="text/css">
    @media (prefers-color-scheme: light) {
      .tt {
        color: red;
      }
    }
    @media (prefers-color-scheme: dark) {
      data-bs-theme::after {
        content: attr('data-bs-theme') 'dark';
      }

      .tt {
        color: blue;
      }
    }
  </style>

  <body>
    <nav class="navbar navbar-expand-sm sticky-top bg-body-tertiary">
      <div class="container-fluid">
        <a class="navbar-brand" href="{% url 'base:home' %}">Final VPN</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
          <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
          <ul class="navbar-nav me-auto mb-2 mb-lg-0">
        	  <li class="nav-item">
        	    <a class="nav-link" href="{% url 'blog:blog' 5 %}">Blog</a>
        	  </li>
            {% if user.is_authenticated %}
            <hr>
              <li class="nav-item">
                <a class="nav-link" href="{% url 'account:profile' %}">Profile</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" href="{% url 'account:actions' %}">Actions</a>
              </li>
              <li class="nav-item">
                <a class="nav-link text-danger" href="{% url 'logout' %}">Log Out</a>
              </li>
            {% else %}
            <li class="nav-item">
              <a class="nav-link text-primary" href="{% url 'account:login_view' %}">Log in</a>
            </li>
            {% endif %}
          </ul>
        </div>
      </div>
    </nav>

    <br>

    <div class="container mt-3 mb-3">
      {% block content %}
      {% endblock %}
    </div>


  </body>
  <script type="text/javascript">


    if (window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)').matches) {
      document.documentElement.setAttribute('data-bs-theme','dark')
    }
    else {
      document.documentElement.setAttribute('data-bs-theme','light')
    }

  </script>
  <style media="screen">
    $color-mode-type: media-query;

    @include color-mode(dark) {
    .element {
      color: var(--bs-primary-text-emphasis);
      background-color: var(--bs-primary-bg-subtle);
    }
    }
  </style>
</html>
